Bug 1016160 - [abrt] dhclient-4.2.5-15.fc19: isc_error_fatal: Process /usr/sbin/dhclient was killed by signal 6 (SIGABRT)
[abrt] dhclient-4.2.5-15.fc19: isc_error_fatal: Process /usr/sbin/dhclient wa...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
19
x86_64 Unspecified
high Severity high
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
abrt_hash:491dc4e199d7783def15f851ba4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-07 11:48 EDT by Martin Bříza
Modified: 2015-02-18 06:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:34:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.02 KB, text/plain)
2013-10-07 11:49 EDT, Martin Bříza
no flags Details
File: cgroup (174 bytes, text/plain)
2013-10-07 11:49 EDT, Martin Bříza
no flags Details
File: core_backtrace (2.41 KB, text/plain)
2013-10-07 11:49 EDT, Martin Bříza
no flags Details
File: dso_list (3.24 KB, text/plain)
2013-10-07 11:49 EDT, Martin Bříza
no flags Details
File: environ (132 bytes, text/plain)
2013-10-07 11:49 EDT, Martin Bříza
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-07 11:49 EDT, Martin Bříza
no flags Details
File: maps (16.34 KB, text/plain)
2013-10-07 11:49 EDT, Martin Bříza
no flags Details
File: open_fds (330 bytes, text/plain)
2013-10-07 11:49 EDT, Martin Bříza
no flags Details
File: proc_pid_status (896 bytes, text/plain)
2013-10-07 11:49 EDT, Martin Bříza
no flags Details
File: var_log_messages (8.66 KB, text/plain)
2013-10-07 11:49 EDT, Martin Bříza
no flags Details
journal extract (217.48 KB, text/plain)
2013-12-02 09:09 EST, Martin Bříza
no flags Details

  None (edit)
Description Martin Bříza 2013-10-07 11:48:58 EDT
Description of problem:
I know this is a use-case which will bother our grandchildren but anyway... dhclient should not crash in year 2149.
How to reproduce: 
Set your system date to (unsigned int) -1 (which is about Feb 7 2106), then start ntpdate, which will shift the date even further to the year 2149. At this point, dhclient just bails and crashes.

Version-Release number of selected component:
dhclient-4.2.5-15.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        /sbin/dhclient -d -sf /usr/libexec/nm-dhcp-client.action -pf /var/run/dhclient-em1.pid -lf /var/lib/NetworkManager/dhclient-7ac05975-799c-4cf2-9798-e69c991e3d75-em1.lease -cf /var/lib/NetworkManager/dhclient-em1.conf em1
crash_function: isc_error_fatal
executable:     /usr/sbin/dhclient
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (5 frames)
 #2 isc_error_fatal at ../../../lib/isc/error.c:76
 #3 isc_error_runtimecheck at ../../../lib/isc/error.c:81
 #4 evloop at ../../../../lib/isc/unix/app.c:465
 #5 isc__app_ctxrun at ../../../../lib/isc/unix/app.c:696
 #6 dispatch
Comment 1 Martin Bříza 2013-10-07 11:49:02 EDT
Created attachment 808920 [details]
File: backtrace
Comment 2 Martin Bříza 2013-10-07 11:49:06 EDT
Created attachment 808921 [details]
File: cgroup
Comment 3 Martin Bříza 2013-10-07 11:49:10 EDT
Created attachment 808922 [details]
File: core_backtrace
Comment 4 Martin Bříza 2013-10-07 11:49:14 EDT
Created attachment 808923 [details]
File: dso_list
Comment 5 Martin Bříza 2013-10-07 11:49:18 EDT
Created attachment 808924 [details]
File: environ
Comment 6 Martin Bříza 2013-10-07 11:49:21 EDT
Created attachment 808925 [details]
File: limits
Comment 7 Martin Bříza 2013-10-07 11:49:25 EDT
Created attachment 808926 [details]
File: maps
Comment 8 Martin Bříza 2013-10-07 11:49:31 EDT
Created attachment 808928 [details]
File: open_fds
Comment 9 Martin Bříza 2013-10-07 11:49:37 EDT
Created attachment 808929 [details]
File: proc_pid_status
Comment 10 Martin Bříza 2013-10-07 11:49:41 EDT
Created attachment 808930 [details]
File: var_log_messages
Comment 11 Jiri Popelka 2013-10-07 11:59:21 EDT
Thanks, I'll take a look. It crashes somewhere in libisc, so I guess it'd be something similar to bug #789601 and bug #662254.
Comment 12 Jiri Popelka 2013-10-08 06:26:59 EDT
Other similar bug AFAIR was bug #631521.
Comment 13 Jaromír Končický 2013-11-28 04:33:59 EST
I have problems reproducing this bug. 
I run dhclient in terminal, then in other terminal set the time to 4294967295, but nothing crashes.
What do you mean by "then start ntpdate, which will shift the date even further to the year 2149"? When I run ntpdate, it just prints: "7 Feb 01:28:56 ntpdate[1583]: no servers can be used, exiting". How is ntpdate supposed to shift the time to year 2149?
Anyway, I have idea where the program may crash.
It's in isc library (which is a part of bind package), in file time.c there is function isc_time_now(). This function probably returns error status, leading to abort() being called consequently.
However I cannot be 100% sure when I don't have full application output.
Comment 14 Martin Bříza 2013-11-28 09:46:33 EST
Well, all the actions I described were done through the KDE system settings, so I didn't run the commands directly. But the offending ntpdate can be run like this for example:

[0|root@mbriza-laptop ~]# date
Sun Feb  7 07:28:56 CET 2106
[0|root@mbriza-laptop ~]# ntpdate clock.redhat.com
 4 Jan 22:11:19 ntpdate[860]: step time server 10.11.160.238 offset 1385649719.550704 sec
[0|root@mbriza-laptop ~]# date
Sun Jan  4 22:11:21 CET 2150
Comment 15 Jaromír Končický 2013-11-29 04:56:25 EST
Thanks, I managed to shift the date to 2050 with ntpdate, but it still doesn't crash for me.
Maybe I'm doing it wrong.
I run the command "/sbin/dhclient -d -sf /usr/libexec..." from the report in one terminal and in second terminal I am changing the time.
As I was looking into the code, it seems that dhclient prints some error messages into stderr. I need to have the stderr output. If you can reproduce it, can you give it me?
Comment 16 Martin Bříza 2013-12-02 07:16:54 EST
Yes, it didn't crash for me either this time. I'll try once more on a machine where I don't mind messing settings and certificates up.
Comment 17 Martin Bříza 2013-12-02 08:54:37 EST
So, it still crashes, there are a few problems right now though:
1) I don't know how to retrieve the stderr output before the crash (nor I do know when exactly it crashes and how is dhclient even run at the moment, possibly by NM?)
2) I can't access the network to upload the journal at least
3) I tried rebooting just out of curiosity and the computer doesn't boot at all. :)

Anyway, tested on a fairly clean physical Fedora 20 KDE machine.
Comment 18 Martin Bříza 2013-12-02 09:09:49 EST
Created attachment 831599 [details]
journal extract

Attaching journalctl -b | grep dhclient

Finally booted, reported via abrt again as Bug 1036717 for F20.
Comment 19 Fedora End Of Life 2015-01-09 17:19:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-02-18 06:34:03 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.